Bug 216792 - fix SASL support in spec file
fix SASL support in spec file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: postfix (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-21 19:33 EST by Nerijus Baliūnas
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.4.3-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-14 11:47:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nerijus Baliūnas 2006-11-21 19:33:55 EST
The following fix is needed:

--- postfix.spec.orig	2006-11-22 02:04:36.000000000 +0200
+++ postfix.spec	2006-11-22 02:16:45.000000000 +0200
@@ -12,7 +12,7 @@
 # requested but use the preferred SASL V2 if LDAP is not requested.
 # Sometime soon LDAP will build agains SASL V2 and this won't be needed.
 
-%if %{LDAP} <= 1 && %{SASL} >= 2
+%if %{LDAP} == 1 && %{SASL} >= 2
 %undefine SASL
 %define SASL 1
 %endif

Otherwise postfix does not build if I set %define LDAP 0 in spec file.
Comment 1 Fedora Update System 2007-06-14 11:47:04 EDT
postfix-2.4.3-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.